Bug 1620207 - Enable SSLKEYLOGFILE support
Summary: Enable SSLKEYLOGFILE support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-22 16:41 UTC by Hubert Kario
Modified: 2018-09-21 05:27 UTC (History)
4 users (show)

Fixed In Version: nss-3.39.0-1.0.fc28 nss-3.39.0-1.0.fc27 nss-3.39.0-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-14 23:12:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Hubert Kario 2018-08-22 16:41:38 UTC
Description of problem:
NSS supports logging the keys necessary to decrypt handshakes that use DH key agreement or without use of server private key for RSA key exchange.

Version-Release number of selected component (if applicable):
nss-3.38.0-1.0.fc27.x86_64

How reproducible:
alyways

Steps to Reproduce:
1. set the SSLKEYLOGFILE environment variable to a path to writable file
2. start tstclnt, connect to some https websites
3.

Actual results:
the file remains empty

Expected results:
file includes the decryption keys, usable by Wireshark 

Additional info:

Comment 1 Fedora Update System 2018-09-04 11:09:59 UTC
nss-3.39.0-1.0.fc28 nss-softokn-3.39.0-1.0.fc28 nss-util-3.39.0-1.0.fc28 nspr-4.20.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a7a5c54c2

Comment 2 Fedora Update System 2018-09-04 11:10:16 UTC
nss-3.39.0-2.fc29 nss-softokn-3.39.0-2.fc29 nss-util-3.39.0-2.fc29 nspr-4.20.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c72d2d89ec

Comment 3 Fedora Update System 2018-09-04 11:10:32 UTC
nss-3.39.0-1.0.fc27 nss-softokn-3.39.0-1.0.fc27 nss-util-3.39.0-1.0.fc27 nspr-4.20.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4a21a8ca59

Comment 4 Fedora Update System 2018-09-05 21:26:25 UTC
nspr-4.20.0-1.fc29, nss-3.39.0-2.fc29, nss-softokn-3.39.0-2.fc29, nss-util-3.39.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c72d2d89ec

Comment 5 Fedora Update System 2018-09-06 02:11:49 UTC
nspr-4.20.0-1.fc27, nss-3.39.0-1.0.fc27, nss-softokn-3.39.0-1.0.fc27, nss-util-3.39.0-1.0.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4a21a8ca59

Comment 6 Fedora Update System 2018-09-07 00:05:50 UTC
nspr-4.20.0-1.fc28, nss-3.39.0-1.0.fc28, nss-softokn-3.39.0-1.0.fc28, nss-util-3.39.0-1.0.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a7a5c54c2

Comment 7 Fedora Update System 2018-09-07 00:06:25 UTC
nspr-4.20.0-1.fc28, nss-3.39.0-1.0.fc28, nss-softokn-3.39.0-1.0.fc28, nss-util-3.39.0-1.0.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a7a5c54c2

Comment 8 Fedora Update System 2018-09-14 23:12:27 UTC
nspr-4.20.0-1.fc28, nss-3.39.0-1.0.fc28, nss-softokn-3.39.0-1.0.fc28, nss-util-3.39.0-1.0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-09-18 07:52:22 UTC
nspr-4.20.0-1.fc27, nss-3.39.0-1.0.fc27, nss-softokn-3.39.0-1.0.fc27, nss-util-3.39.0-1.0.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-09-21 05:27:18 UTC
nspr-4.20.0-1.fc29, nss-3.39.0-2.fc29, nss-softokn-3.39.0-2.fc29, nss-util-3.39.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.